### Method

# ECal ComponentAlarm get_uid

since: 3.34

#### Declaration [src]

    const gchar*
    e_cal_component_alarm_get_uid (
      const ECalComponentAlarm* alarm
    )

#### Description [src]

Get the `alarm` UID.

Available since: 3.34

#### Return value

Type: `const gchar*`

The `alarm` UID, or `NULL`, when none is set.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.